org.icefaces.ace.component.column

## Enum ColumnBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<ColumnBase.PropertyKeys>
  - - org.icefaces.ace.component.column.ColumnBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ColumnBase.PropertyKeys>
  Enclosing class:
    ColumnBase

      protected static enum ColumnBase.PropertyKeys
      extends java.lang.Enum<ColumnBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `colspan`
    `configurable`
    `filterBy`
    `filterMatchMode`
    `filterOptions`
    `filterStyle`
    `filterStyleClass`
    `filterValue`
    `filterValues`
    `footerText`
    `groupBy`
    `headerText`
    `hideSortControls`
    `lazyColumnKey`
    `pinningOrder`
    `reorderable`
    `rowspan`
    `selectBy`
    `sortAscending`
    `sortBy`
    `sortFunction`
    `sortPriority`
    `sortWhenGrouping`
    `stacked`
    `style`
    `styleClass`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static ColumnBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ColumnBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### colspan

          public static final ColumnBase.PropertyKeys colspan

    - #### configurable

          public static final ColumnBase.PropertyKeys configurable

    - #### filterBy

          public static final ColumnBase.PropertyKeys filterBy

    - #### filterMatchMode

          public static final ColumnBase.PropertyKeys filterMatchMode

    - #### filterOptions

          public static final ColumnBase.PropertyKeys filterOptions

    - #### filterStyle

          public static final ColumnBase.PropertyKeys filterStyle

    - #### filterStyleClass

          public static final ColumnBase.PropertyKeys filterStyleClass

    - #### filterValue

          public static final ColumnBase.PropertyKeys filterValue

    - #### filterValues

          public static final ColumnBase.PropertyKeys filterValues

    - #### footerText

          public static final ColumnBase.PropertyKeys footerText

    - #### groupBy

          public static final ColumnBase.PropertyKeys groupBy

    - #### headerText

          public static final ColumnBase.PropertyKeys headerText

    - #### hideSortControls

          public static final ColumnBase.PropertyKeys hideSortControls

    - #### lazyColumnKey

          public static final ColumnBase.PropertyKeys lazyColumnKey

    - #### pinningOrder

          public static final ColumnBase.PropertyKeys pinningOrder

    - #### reorderable

          public static final ColumnBase.PropertyKeys reorderable

    - #### rowspan

          public static final ColumnBase.PropertyKeys rowspan

    - #### selectBy

          public static final ColumnBase.PropertyKeys selectBy

    - #### sortAscending

          public static final ColumnBase.PropertyKeys sortAscending

    - #### sortBy

          public static final ColumnBase.PropertyKeys sortBy

    - #### sortFunction

          public static final ColumnBase.PropertyKeys sortFunction

    - #### sortPriority

          public static final ColumnBase.PropertyKeys sortPriority

    - #### sortWhenGrouping

          public static final ColumnBase.PropertyKeys sortWhenGrouping

    - #### stacked

          public static final ColumnBase.PropertyKeys stacked

    - #### style

          public static final ColumnBase.PropertyKeys style

    - #### styleClass

          public static final ColumnBase.PropertyKeys styleClass

  - ### Method Detail

    - #### values

          public static ColumnBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColumnBase.PropertyKeys c : ColumnBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColumnBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ColumnBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.